// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO20/16AO20_Linux_2.x.x.x_GSC_DN/include/16ao20_dsl.h $
// $Rev: 52758 $
// $Date: 2023-04-05 15:03:49 -0500 (Wed, 05 Apr 2023) $

// 16AO20: Document Source Library: header file

#ifndef	__16AO20_DSL_H__
#define	__16AO20_DSL_H__

#include <stdlib.h>

#include "16ao20_api.h"



// prototypes *****************************************************************

int	ao20_close_dsl	(int fd);
int	ao20_init_dsl	(void);
int	ao20_ioctl_dsl	(int fd, int request, void *arg);
int	ao20_open_dsl	(int device, int share, int* fd);
int ao20_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	ao20_write_dsl	(int fd, const void* src, size_t bytes, size_t* qty);



#endif
