// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO20/16AO20_Linux_2.x.x.x_GSC_DN/samples/sbtest/perform.c $
// $Rev: 52761 $
// $Date: 2023-04-05 15:08:50 -0500 (Wed, 05 Apr 2023) $

// 16AO20: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(const args_t* args)
{
	int	errs	= 0;

	errs	+= reg_read_test(args->fd);				// AO20_IOCTL_REG_READ
	errs	+= reg_write_test(args->fd);			// AO20_IOCTL_REG_WRITE
	errs	+= reg_mod_test(args->fd);				// AO20_IOCTL_REG_MOD
	errs	+= query_test(args->fd);				// AO20_IOCTL_QUERY
	errs	+= initialize_test(args->fd);			// AO20_IOCTL_INITIALIZE
	errs	+= auto_calibrate_test(args->fd);		// AO20_IOCTL_AUTO_CALIBRATE
	errs	+= auto_cal_sts_test(args->fd);			// AO20_IOCTL_AUTO_CAL_STS
	errs	+= buffer_clear_test(args->fd);			// AO20_IOCTL_BUFFER_CLEAR
	errs	+= buffer_mode_test(args->fd);			// AO20_IOCTL_BUFFER_MODE
	errs	+= buffer_over_data_test(args->fd);		// AO20_IOCTL_BUFFER_OVER_DATA
	errs	+= buffer_over_frame_test(args->fd);	// AO20_IOCTL_BUFFER_OVER_FRAME
	errs	+= buffer_size_test(args->fd);			// AO20_IOCTL_BUFFER_SIZE
	errs	+= buffer_status_test(args->fd);		// AO20_IOCTL_BUFFER_STATUS
	errs	+= burst_enable_test(args->fd);			// AO20_IOCTL_BURST_ENABLE
	errs	+= burst_ready_test(args->fd);			// AO20_IOCTL_BURST_READY
	errs	+= burst_trg_src_test(args->fd);		// AO20_IOCTL_BURST_TRIG_SRC
	errs	+= burst_trigger_test(args->fd);		// AO20_IOCTL_BURST_TRIGGER
	errs	+= channel_sel_test(args->fd);			// AO20_IOCTL_CHANNEL_SEL
	errs	+= clock_enable_test(args->fd);			// AO20_IOCTL_CLOCK_ENABLE
	errs	+= clock_osc_src_test(args->fd);		// AO20_IOCTL_CLOCK_OSC_SRC
	errs	+= clock_ready_test(args->fd);			// AO20_IOCTL_CLOCK_READY
	errs	+= clock_src_test(args->fd);			// AO20_IOCTL_CLOCK_SRC
	errs	+= clock_sw_test(args->fd);				// AO20_IOCTL_CLOCK_SW
	errs	+= data_format_test(args->fd);			// AO20_IOCTL_DATA_FORMAT
	errs	+= ground_sense_test(args->fd);			// AO20_IOCTL_GROUND_SENSE
	errs	+= irq_sel_test(args->fd);				// AO20_IOCTL_IRQ_SEL
	errs	+= load_ready_test(args->fd);			// AO20_IOCTL_LOAD_READY
	errs	+= load_request_test(args->fd);			// AO20_IOCTL_LOAD_REQUEST
	errs	+= nclk_test(args->fd);					// AO20_IOCTL_NCLK
	errs	+= nrate_test(args->fd);				// AO20_IOCTL_NRATE
	errs	+= output_mode_test(args->fd);			// AO20_IOCTL_OUTPUT_MODE
	errs	+= sample_mode_test(args->fd);			// AO20_IOCTL_SAMPLE_MODE
	errs	+= tx_io_abort_test(args->fd);			// AO20_IOCTL_TX_IO_ABORT
	errs	+= tx_io_mode_test(args->fd);			// AO20_IOCTL_TX_IO_MODE
	errs	+= tx_io_over_data_test(args->fd);		// AO20_IOCTL_TX_IO_OVER_DATA
	errs	+= tx_io_over_frame_test(args->fd);		// AO20_IOCTL_TX_IO_OVER_FRAME
	errs	+= tx_io_timeout_test(args->fd);		// AO20_IOCTL_TX_IO_TIMEOUT
	errs	+= wait_event_test(args->fd);			// AO20_IOCTL_WAIT_EVENT
	errs	+= wait_cancel_test(args->fd);			// AO20_IOCTL_WAIT_CANCEL
	errs	+= wait_status_test(args->fd);			// AO20_IOCTL_WAIT_STATUS
	errs	+= xcvr_type_test(args->fd);			// AO20_IOCTL_XCVR_TYPE

	return(errs);
}


